<?php
include '../ConsumoApiDemoSis/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	
	public function validar($usuario, $clave)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@Nick", $usuario);
        $conn->Parametro("@Contraseña" ,$clave);
        $data = $conn->Procedimiento("dbo.PA_ListarCodigoxNickyContraseña");
        $conn->Desconectar();
        return json_encode($data);
	}
	
	public function PA_ObtenerUsuario_PorCodigo($id)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@USU_Codigo", $id);
        $data = $conn->Procedimiento("dbo.PA_ObtenerUsuario_PorCodigo");
        $conn->Desconectar();
        return json_encode($data);
	}
	
	public function PA_ObtenerCliente_PorCodigo_WEB($Codigo)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@Codigo", $Codigo);
        $data = $conn->Procedimiento("dbo.PA_ObtenerCliente_PorCodigo_WEB");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'PA_ObtenerUsuario_PorNick':
		try{
        	$usuario = $request['user'];
        	$clave = $request['clave'];
        	$app = new Operaciones();
        	echo $app->validar($usuario, $clave);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	    
	case 'PA_ObtenerUsuario_PorCodigo':
		try{
        	$id = $request['id'];
        	$app = new Operaciones();
        	echo $app->PA_ObtenerUsuario_PorCodigo($id);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	case 'PA_ObtenerCliente_PorCodigo_WEB':
		try{
        	$Codigo = $request['Codigo'];
        	$app = new Operaciones();
        	echo $app->PA_ObtenerCliente_PorCodigo_WEB($Codigo);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
}



